# $Revision: 1.4 $, $Date: 2002/07/13 00:03:47 $
%include	/usr/lib/rpm/macros.php
%define		_class		System
%define		_subclass	Command
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - commandline execution interface
Summary(pl):	%{_class}_%{_subclass} - interfejs do wykonywania polece systemowych
Name:		php-pear-%{_pearname}
Version:	1.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Running functions from the commandline can be dangerous if the proper
precautions are not taken to escape the shell arguments and reaping
the exit status properly. This class give a formal interface to both,
so that you can run a system command as comfortably as you would run a
php function, which full pear error handling as results on failure.

%description -l pl
Uywanie funkcji z polece systemowych moe by niebezpieczne, jeli
nie wykonao si odpowiedniego przygotowania parametrw i sprawdzenia
kodu wyjcia. Ta klasa daje formalny interfejs do obu rzeczy, co
pozwala na wywoywanie polece systemowych w sposb tak wygodny, jak
wywoanie funkcji php, ktra uywa obsugi bdw PEAR-a w przypadku
niepowodzenia.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_class}
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-System_Command.spec,v $
Revision 1.4  2002/07/13 00:03:47  blues
- release 2 (rebuild with new rpm)
- missing Requires

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.1  2002/06/29 11:53:42  blues
- initial release
